Results 1 to 10 of 12

Thread: how to make bt3 instln on usb persistent

Hybrid View

  1. #1
    Just burned his ISO
    Join Date
    Aug 2008
    Posts
    2

    Default how to make bt3 instln on usb persistent

    I am using bt3 from my usb device.
    I have downloaded and installed openoffice from linuxpackages - using pkginstall.
    However, when I reboot my machine it can't remember the instln of openoffice.
    What should I do to install openoffice on the usb in persistent mode ?
    thanks
    nishith

  2. #2
    My life is this forum Barry's Avatar
    Join Date
    Jan 2010
    Posts
    3,817

    Default

    Quote Originally Posted by nkdnkd View Post
    I am using bt3 from my usb device.
    I have downloaded and installed openoffice from linuxpackages - using pkginstall.
    However, when I reboot my machine it can't remember the instln of openoffice.
    What should I do to install openoffice on the usb in persistent mode ?
    thanks
    nishith
    There are several threads here on setting up a changes partition on usb devices. Balding_parrot has an excellent how-to.
    Of course, if you really wanted to have some fun, go to Wal-Mart late at night and ask the greeter if they could help you find trashbags, roll of carpet, rope, quicklime, clorox and a shovel. See if they give you any strange looks. --Streaker69

  3. #3
    Good friend of the forums
    Join Date
    Feb 2010
    Posts
    328

    Default

    http://delicious.com/operat0r/backtrack ( look for links onf 'changes' )

  4. #4
    Just burned his ISO FergSauce's Avatar
    Join Date
    Aug 2008
    Posts
    6

    Post Save Changes Script

    Well, this is a product of my free time. People at work are always asking how to do this. So I made a little script that does it for you. It will even take the existing changes files and combine them.

    Usage: save_changes.sh (Main menu will follow.)

    (I know I know, it's a link. The alternative is posting the whole thing..)
    wwwfergsoft.com/save_changes.sh

    -Ferg

    PS: For all you veterans out there, don't be too critical on my beginners shell scripting skill. :P

  5. #5
    Junior Member
    Join Date
    Jul 2008
    Posts
    27

    Default

    Quote Originally Posted by FergSauce View Post
    Well, this is a product of my free time. People at work are always asking how to do this. So I made a little script that does it for you. It will even take the existing changes files and combine them.

    Usage: save_changes.sh (Main menu will follow.)

    (I know I know, it's a link. The alternative is posting the whole thing..)
    wwwfergsoft.com/save_changes.sh

    -Ferg

    PS: For all you veterans out there, don't be too critical on my beginners shell scripting skill. :P
    How and where do I run the script? Should i be running it from the usb already loaded with bt3 but in a live mode or the text mode? or should i run it from another o/s like ubuntu to install it and get persistent changes workign.

    aa tiny step by step fpr n00b me would be much appreciated

  6. #6
    Just burned his ISO FergSauce's Avatar
    Join Date
    Aug 2008
    Posts
    6

    Default

    Quote Originally Posted by soul_786 View Post
    How and where do I run the script? Should i be running it from the usb already loaded with bt3 but in a live mode or the text mode? or should i run it from another o/s like ubuntu to install it and get persistent changes workign.

    aa tiny step by step fpr n00b me would be much appreciated
    No problem. Just put the file in the root directory of your thumb drive, should be something like /mnt/sdb1

    To check type 'mount' and look at the list there. You can use 'ls <path>' to check whats on each of the devices you have mounted. Your drive should be the one containing your 'BT3' and 'boot' folders. I just make a new folder there called 'files' and put it in there.

    Then to run it just type the path and filename.
    (ex: /mnt/sdb1/files/save_changes.sh)

    It doesn't really matter what directory you run the file from. As long as you remember that if its stored in the file system somewhere that you have to save the changes (because adding the file was a change).

    -Ferg

  7. #7
    Just burned his ISO
    Join Date
    Aug 2008
    Posts
    1

    Thumbs up

    Quote Originally Posted by FergSauce View Post
    Well, this is a product of my free time. People at work are always asking how to do this. So I made a little script that does it for you. It will even take the existing changes files and combine them.

    Usage: save_changes.sh (Main menu will follow.)

    (I know I know, it's a link. The alternative is posting the whole thing..)
    wwwfergsoft.com/save_changes.sh

    -Ferg

    PS: For all you veterans out there, don't be too critical on my beginners shell scripting skill. :P
    Tried your script and works fine.
    Thanks FergSauce.

  8. #8
    Junior Member
    Join Date
    Feb 2010
    Posts
    33

    Default

    Your file (save_changes.sh) isnt online no more.
    Please tell me if this is your script (I got it from SLAX Forum from a guest):

    Code:
    Quote:
    #!/bin/bash
    # Normal version
    
    # Directory to where save configuration
    DIR="modules/changes"
    # Module name
    NAME="save-`date +\"%d.%m.%Y-%H.%M\"`.lzm"
    
    # $DIR exists?
    if [[ ! -d $DIR ]]; then
    mkdir -p $DIR
    fi
    
    # Test for Writable FS
    nocheckfs="`echo $@ | grep \"\-nocheckfs\"`"
    if [[ $nocheckfs = "" ]]; then
    touch $DIR/fstest 2> /dev/null
    if [[ "$?" = "0" ]]; then
    # RW fs, continue
    rm $DIR/fstest
    else
    # RO fs.
    echo "Read-only filesystem" >&2
    exit 1
    fi
    fi
    
    # Check if file exists, if yes, then rename.
    if [[ -e "$DIR/$NAME" ]]; then
    NAME="save-`date +\"%d.%m.%Y-%H.%M.%S.%N\"`.lzm"
    echo "File exists, renaming to $NAME"
    fi
    # Saving configuration
    
    full="`echo $@ | grep \"\-full\"`"
    if [[ ! $full = "" ]]; then
    dir2lzm /mnt/live/memory/changes $DIR/$NAME || echo "dir2lzm failed" >&2
    else
    configsave $DIR/$NAME || echo "configsave failed" >&2
    fi
    thanx in advance

  9. #9
    Just burned his ISO
    Join Date
    Mar 2009
    Posts
    4

    Default

    Quote Originally Posted by nkdnkd View Post
    I am using bt3 from my usb device.
    I have downloaded and installed openoffice from linuxpackages - using pkginstall.
    However, when I reboot my machine it can't remember the instln of openoffice.
    What should I do to install openoffice on the usb in persistent mode ?
    thanks
    nishith
    SD card or USB flash drive with at least 2GB capacity

    STEPS:

    1.
    Using a partition editor of your choice, create 2 partitions on the SD card/USB flash drive. The first partition should be FAT 16 and at least 1GB (larger is recommended if you plan to add any additional modules, 1.5GB is a good size). The second partition should be Ext2. It MUST be Ext2, or this setup will not work. For the purposes of this how-to, the first partition will be referred to as sda1, the second as sda2.
    2.
    Extract the files from bt3b141207.rar and copy the boot and BT3 directories and their contents to the first partition (FAT 16) of the SD card/USB flash drive.
    3.
    Create an empty directory called changes on the second partition (Ext2) of the SD card/USB flash drive.
    4.
    Run the bootinst.sh script contained in the boot directory on the first partition (/mnt/sda1/boot/bootinst.sh). This will make the SD card/USB flash drive bootable.
    5.
    Edit the syslinux.cfg file found in /mnt/sda1/boot/syslinux. Specifically, find the entry for the persistent changes option, and amend the changes=/slax/slaxsave.dat boot parameter to changes=/dev/sda2 and save the amended syslinux.cfg file. The persistent changes entry should now look like:

    LABEL pchanges
    MENU LABEL BT3 Graphics mode with Persistent Changes
    KERNEL /boot/vmlinuz
    APPEND vga=0×317 initrd=/boot/initrd.gz ramdisk_size=6666 root=/dev/ram0 rw changes=/dev/sda2 autoexec=xconf;kdm

    Note: The /dev/sda2 path assumes that when booting from the SD card/USB flash drive your machine is identifying the FAT 16 partition as sda1 and the Ext2 partition as sda2. If the partitions are being identified as something else (sdb1 and sdb2, for example), the changes= path will need to reflect that. In other words, if the Ext2 partition is identified as sdb2, the path should be changes=/dev/sdb2.
    6.
    Boot from the SD card/USB flash drive, select the persistent changes option from the BT3 boot menu, and you should be on your way. Before shutting down BackTrack3 for the first time, it is advisable to edit /etc/rc.d/rc.0 by adding the line rmmod snd-hda-intel just above the #Set the path. comment. This will prevent the problem of the power not completely turning off at shutdown.

    Known issues:

    This setup seems to disable the Hal daemon. Drives can still be mounted and unmounted from the command line using mount and umount.

  10. #10
    Just burned his ISO
    Join Date
    Mar 2009
    Posts
    7

    Default

    Thanks man works great!!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •